Subject: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Illia Ostapyshyn <[email-masked]>
Date: Fri, 14 May 2021 11:22:30 +0200

> On May 14, 2021, at 08:22, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Illia Ostapyshyn <[email-masked]>
>> Date: Thu, 13 May 2021 22:39:55 +0200
>> 
>> When starting with
>> 
>>    (push '(fullscreen . fullboth) default-frame-alist)
>> 
>> in early-init.el, apparently Emacs get stuck in an infinite loop after calling [EmacsView waitFullScreenTransition]. Please see the attached backtrace. I also tried moving that command around: in init.el, in emacs-startup-hook, all yield the same result. 
> 
> Why did you put that in early-init.el? why not in .emacs or init.el?

I figured that way I wouldn't see an unconfigured frame for a fraction of a second when starting Emacs and it worked for me on other systems. Are there any caveats to it?

Like I mentioned, with this line in init.el Emacs exhibits the same behavior.

emacs -Q --execute "(push '(fullscreen . fullboth) default-frame-alist)"
doesn't work as well.